One round with every bid and loan
GET
/v1/rounds/{round}
const url = 'https://api.tako.wtf/v1/rounds/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tako.wtf/v1/rounds/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”round
required
string
Election id
Responses
Section titled “Responses”OK
Media typeapplication/json
object
round
required
Election id, the unix time the round starts
string
requests
required
integer
settled
required
integer
poolTake
required
Amount in nanoGram, as a decimal string
string
payout
required
Amount in nanoGram, as a decimal string
string
loans
required
Array<object>
object
round
required
string
borrower
required
User-friendly address
string
status
required
string
amount
required
Amount in nanoGram, as a decimal string
string
minPayment
required
Amount in nanoGram, as a decimal string
string
collateral
required
Amount in nanoGram, as a decimal string
string
requestedAt
required
Unix seconds
integer
Example
{ "loans": [ { "status": "requested" } ]}Invalid parameter
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}Not found
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}